import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/wallets/offramp.ts
function createOfframpWalletsResource(client) {
  return {
    list({
      instanceId
    }) {
      return client.get(`/instances/${instanceId}/offramp_wallets`);
    },
    create(_a) {
      var _b = _a, {
        receiverId,
        instanceId,
        bankAccountId
      } = _b, data = __objRest(_b, [
        "receiverId",
        "instanceId",
        "bankAccountId"
      ]);
      return client.post(
        `/instances/${instanceId}/receivers/${receiverId}/bank-accounts/${bankAccountId}/offramp_wallets`,
        data
      );
    },
    get({
      receiverId,
      instanceId,
      bankAccountId,
      id
    }) {
      return client.get(
        `/instances/${instanceId}/receivers/${receiverId}/bank-accounts/${bankAccountId}/offramp_wallets/${id}`
      );
    }
  };
}
var init_offramp = __esm({
  "src/resources/wallets/offramp.ts"() {
  }
});

export {
  createOfframpWalletsResource,
  init_offramp
};
